using System;

namespace KV2_Finale
{
    class MainClass
    {
        public static void Main(string[] args)
        {
            int N, M;
            string[] unos = Console.ReadLine().Split(' ');
            N = int.Parse(unos[0]);
            M = int.Parse(unos[1]);
            if ((N <= 2) || (M <= 2))
            {
                Console.Write(N * M);
            }
            else
            {
                Console.Write(N + M - 2 + ((N * M) / 2));
            }
        }
    }
}